Release history, newest first (50 revisions).
GET
/api/v1/projects/{project}/environments/{environment}/apps/{app}/releases
const url = 'https://example.com/api/v1/projects/example/environments/example/apps/example/releases';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/projects/example/environments/example/apps/example/releasesParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
environment
required
string
Environment short name
app
required
string
App name
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
revision
required
integer format: int64
image
string | null
reason
required
create, deploy, config, rollback, promote or template.
string
note
string | null
actor
Email of whoever made the change.
string | null
created_at
required
integer format: int64
current
required
The newest revision (what should be running).
boolean
Examplegenerated
[ { "revision": 1, "image": "example", "reason": "example", "note": "example", "actor": "example", "created_at": 1, "current": true }]Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}